package com.miaxis.pc;

import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.newgzpt.domain.GzptSchActivation;
import com.miaxis.newgzpt.dto.GzptSchActivationDTO;
import com.miaxis.newgzpt.dto.GzptSchActivationListDTO;
import com.miaxis.newgzpt.service.IGzptSchActivationService;
import com.miaxis.newgzpt.vo.GzptSchActivationListVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 【订单信息】Controller
 *
 * @author miaxis
 * @date 2022-06-07
 */
@RestController
@RequestMapping("/activation/info")
@Api(tags={"【PC-激活信息】"})
public class GzptSchActivationController extends BaseController{
    @Autowired
    private IGzptSchActivationService gzptSchActivationService;


    /**
     * 查询订单信息列表
     */
    @GetMapping("/list")
    @ApiOperation("查询激活信息列表")
        @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum",value = "当前页码" ,dataType = "int", paramType = "query", required = false),
            @ApiImplicitParam(name = "pageSize",value = "每页数据量" , dataType = "int", paramType = "query", required = false),
    })
    public ResponsePageInfo<GzptSchActivationListVO> list(@ModelAttribute GzptSchActivationListDTO schActivationListDTO){
        startPage();
        List<GzptSchActivationListVO> list = gzptSchActivationService.selectSchActivationList(schActivationListDTO);
        return toResponsePageInfo(list);
    }






}
