package com.miaxis.applepay.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.miaxis.applepay.mapper.ApplepayOrderMapper;
import com.miaxis.applepay.domain.ApplepayOrder;
import com.miaxis.applepay.service.IApplepayOrderService;

/**
 * 苹果支付订单Service业务层处理
 *
 * @author miaxis
 * @date 2022-09-26
 */
@Service
public class ApplepayOrderServiceImpl extends ServiceImpl<ApplepayOrderMapper, ApplepayOrder> implements IApplepayOrderService {
    @Autowired
    private ApplepayOrderMapper applepayOrderMapper;

    /**
     * 查询苹果支付订单列表
     *
     * @param applepayOrder 苹果支付订单
     * @return 苹果支付订单
     */
    @Override
    public List<ApplepayOrder> selectApplepayOrderList(ApplepayOrder applepayOrder){
        return applepayOrderMapper.selectApplepayOrderList(applepayOrder);
    }

    @Override
    public int selectApplepayOrderCount(ApplepayOrder applepayOrder) {
        return applepayOrderMapper.selectApplepayOrderCount(applepayOrder);
    }
}
