package com.miaxis.newgzpt.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 激活记录表
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("GZPT_SCH_ACTIVATION")
@ApiModel(value="GzptSchActivation对象", description="合作驾校激活表")
public class GzptSchActivation implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "地区编号")
    @TableField("DQBH")
    private String dqbh;

    @ApiModelProperty(value = "地区名称")
    @TableField("DQMC")
    private String dqmc;

    @ApiModelProperty(value = "驾校编号")
    @TableField("JXBH")
    private String jxbh;

    @ApiModelProperty(value = "驾校名称")
    @TableField("JXMC")
    private String jxmc;

    @ApiModelProperty(value = "用户ID")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "用户OUT_ID")
    @TableField("STU_ID")
    private Long stuId;

    @ApiModelProperty(value = "创建时间")
    @TableField("CRTIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date crtime;

    @ApiModelProperty(value = "是否同步 0 未同步 1已同步")
    @TableField("SYNC")
    private Integer sync;

    @ApiModelProperty(value = "同步时间")
    @TableField("SYNCTIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date synctime;

    @ApiModelProperty(value = "是否删除 0正常 1已删除")
    @TableField("IS_DEL")
    private Integer isDel;




}
