package com.miaxis.order.vo;


import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**

 */
@Data
@ApiModel(description = "驾校订单查询返回对象")
public class QuerySchoolOrderDetailedVo {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 商品 */
    @Excel(name = "商品")
    @ApiModelProperty(value = "商品")
    private String goodsName;


    /** 用户姓名 */
    @Excel(name = "用户姓名")
    @ApiModelProperty(value = "用户姓名")
    private String userName;

    /** 用户登录名 */
    @Excel(name = "用户登录名")

    @ApiModelProperty(value = "用户登录名")
    private String logincode;


    /** 极速驾培订单ID */
    @Excel(name = "极速驾培订单ID")
    @ApiModelProperty(value = "极速驾培订单ID")
    private String outTradeNo;



    /** 总金额*/
    @Excel(name = "总金额")
    @ApiModelProperty(value = "总金额")
    private Float total;

    /** 交易状态 1、支付成功2、支付失败*/
    @Excel(name = "交易状态 1、支付成功2、支付失败")
    @ApiModelProperty(value = "微信交易状态，枚举值：")
    private String tradeType;

    /** 支付完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "支付完成时间")
    private Date successTime;

    /** 是否分成 */
    @Excel(name = "是否分成给驾校 0:不分成  1:分成")
    @ApiModelProperty(value = "是否分成给驾校 0:不分成  1:分成")
    private String isShare;


    /** 驾校名称 */
    @Excel(name = "驾校名称")
    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

    /** 驾校提成 */
    @Excel(name = "驾校提成")
    @ApiModelProperty(value = "驾校提成")
    private Float schoolCommission;

    /** 手机类型 1:苹果 2:安卓 */
    @Excel(name = "手机类型 1:苹果 2:安卓")
    @ApiModelProperty(value = "手机类型 1:苹果 2:安卓")
    private String phoneType;

    /** 退款原因 */
    @Excel(name = "退款原因")
    @ApiModelProperty(value = "退款原因")
    private String refundReason;



}
